GLOB="/data/archive/rawdata/1363/*.gwf"
CHA_H="V1:Hrec_hoft_20000Hz"

DATE=2023_03_24
DESCRIPTION="Expérimentation de mars 2023 sur tous les bancs"

REF_T_W=1363717458
REF_D_W=600
EXC_T_W=1363716932
EXC_D_W=513

REF_T_N=1363715478
REF_D_N=1020
EXC_T_N=1363714958
EXC_D_N=484

REF_T_S1=1363717458
REF_D_S1=600
EXC_T_S1=1363723613
EXC_D_S1=405

REF_T_S2=1363717458
REF_D_S2=600
EXC_T_S2=1363724478
EXC_D_S2=379

REF_T_P=1363724898
REF_D_P=360
EXC_T_P=1363726656
EXC_D_P=391

REF_T_I=1363730018
REF_D_I=400
EXC_T_I=1363730672
EXC_D_I=666

FOLDER=$HOME/data/experiment_$DATE

mkdir $FOLDER
cd $FOLDER

echo "\
[general]
	date = '$DATE'
	description = '$DESCRIPTION'
	benches=['SWEB','SNEB','SDB1','SDB2','SPRB','SIB2']
[benches]
	[benches.SWEB]
		[benches.SWEB.reference]
			time = $REF_T_W
			duration = $REF_D_W
		[benches.SWEB.excited]
			time = $EXC_T_W
			duration = $EXC_D_W
	[benches.SNEB]
		[benches.SNEB.reference]
			time = $REF_T_N
			duration = $REF_D_N
		[benches.SNEB.excited]
			time = $EXC_T_N
			duration = $EXC_D_N
	[benches.SDB1]
		[benches.SDB1.reference]
			time = $REF_T_S1
			duration = $REF_D_S1
		[benches.SDB1.excited]
			time = $EXC_T_S1
			duration = $EXC_D_S1
	[benches.SDB2]
		[benches.SDB2.reference]
			time = $REF_T_S2
			duration = $REF_D_S2
		[benches.SDB2.excited]
			time = $EXC_T_S2
			duration = $EXC_D_S2
	[benches.SPRB]
		[benches.SPRB.reference]
			time = $REF_T_P
			duration = $REF_D_P
		[benches.SPRB.excited]
			time = $EXC_T_P
			duration = $EXC_D_P
	[benches.SIB2]
		[benches.SIB2.reference]
			time = $REF_T_I
			duration = $REF_D_I
		[benches.SIB2.excited]
			time = $EXC_T_I
			duration = $EXC_D_I
" > metadata.toml

mkdir SWEB
cd SWEB
mkdir reference
cd reference

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$REF_T_W --duration=$REF_D_W > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_WE_MIR_Z --start-time=$REF_T_W --duration=$REF_D_W > WE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SWEB_LC_Z --start-time=$REF_T_W --duration=$REF_D_W > SWEB.csv

cd ../
mkdir excited
cd excited

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$EXC_T_W --duration=$EXC_D_W > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_WE_MIR_Z --start-time=$EXC_T_W --duration=$EXC_D_W > WE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SWEB_LC_Z --start-time=$EXC_T_W --duration=$EXC_D_W > SWEB.csv

cd ../../
mkdir SNEB
cd SNEB
mkdir reference
cd reference

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$REF_T_N --duration=$REF_D_N > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_NE_MIR_Z --start-time=$REF_T_N --duration=$REF_D_N > NE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SNEB_LC_Z --start-time=$REF_T_N --duration=$REF_D_N > SNEB.csv

cd ../
mkdir excited
cd excited

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$EXC_T_N --duration=$EXC_D_N > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_NE_MIR_Z --start-time=$EXC_T_N --duration=$EXC_D_N > NE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SNEB_LC_Z --start-time=$EXC_T_N --duration=$EXC_D_N > SNEB.csv

cd ../../
mkdir SDB1
cd SDB1
mkdir reference
cd reference

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$REF_T_S1 --duration=$REF_D_S1 > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_SR_MIR_Z --start-time=$REF_T_S1 --duration=$REF_D_S1 > SR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SDB1_LC_Z --start-time=$REF_T_S1 --duration=$REF_D_S1 > SDB1.csv

cd ../
mkdir excited
cd excited

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$EXC_T_S1 --duration=$EXC_D_S1 > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_SR_MIR_Z --start-time=$EXC_T_S1 --duration=$EXC_D_S1 > SR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SDB1_LC_Z --start-time=$EXC_T_S1 --duration=$EXC_D_S1 > SDB1.csv

cd ../../
mkdir SDB2
cd SDB2
mkdir reference
cd reference

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$REF_T_S2 --duration=$REF_D_S2 > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_SR_MIR_Z --start-time=$REF_T_S2 --duration=$REF_D_S2 > SR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SDB2_LC_Z --start-time=$REF_T_S2 --duration=$REF_D_S2 > SDB2.csv

cd ../
mkdir excited
cd excited

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$EXC_T_S2 --duration=$EXC_D_S2 > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_SR_MIR_Z --start-time=$EXC_T_S2 --duration=$EXC_D_S2 > SR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SDB2_LC_Z --start-time=$EXC_T_S2 --duration=$EXC_D_S2 > SDB2.csv

cd ../../
mkdir SPRB
cd SPRB
mkdir reference
cd reference

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$REF_T_P --duration=$REF_D_P > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_SR_MIR_Z --start-time=$REF_T_P --duration=$REF_D_P > SR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_MC_MIR_Z --start-time=$REF_T_P ---duration=$REF_D_P > MC.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_PR_MIR_Z --start-time=$REF_T_P --duration=$REF_D_P > PR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SPRB_LC_Z --start-time=$REF_T_P --duration=$REF_D_P > SPRB.csv

cd ../
mkdir excited
cd excited

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$EXC_T_P --duration=$EXC_D_P > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_SR_MIR_Z --start-time=$EXC_T_P --duration=$EXC_D_P > SR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_MC_MIR_Z --start-time=$EXC_T_P ---duration=$EXC_D_P > MC.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_PR_MIR_Z --start-time=$EXC_T_P --duration=$EXC_D_P > PR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SPRB_LC_Z --start-time=$EXC_T_P --duration=$EXC_D_P > SPRB.csv

cd ../../
mkdir SIB2
cd SIB2
mkdir reference
cd reference

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$REF_T_I --duration=$REF_D_I > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_SR_MIR_Z --start-time=$REF_T_I --duration=$REF_D_I > SR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_MC_MIR_Z --start-time=$REF_T_I ---duration=$REF_D_I > MC.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_IR_MIR_Z --start-time=$REF_T_I --duration=$REF_D_I > PR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SIB2_LC_Z --start-time=$REF_T_I --duration=$REF_D_I > SIB2.csv

cd ../
mkdir excited
cd excited

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$EXC_T_I --duration=$EXC_D_I > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_SR_MIR_Z --start-time=$EXC_T_I --duration=$EXC_D_I > SR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_MC_MIR_Z --start-time=$EXC_T_I ---duration=$EXC_D_I > MC.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_IR_MIR_Z --start-time=$EXC_T_I --duration=$EXC_D_I > PR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SIB2_LC_Z --start-time=$EXC_T_I --duration=$EXC_D_I > SIB2.csv

cd ../../../
