GLOB="/data/rawdata/*/1387/*.gwf"
CHA_H="V1:Hrec_hoft_20000Hz"

DATE=2023_12_20
DESCRIPTION="Expérimentation de Romain sur le banc SNEB et SWEB (mais on ne regarde pas SNEB car de mauvaise qualité)"

REF_T=1387145658
REF_D=480
EXC_T=1387148494
EXC_D=300

FOLDER=$HOME/data/experiment_$DATE

mkdir $FOLDER
cd $FOLDER

echo "\
[general]
	date = '$DATE'
	description = '$DESCRIPTION'
	benches = ['SWEB']
[benches]
	[benches.SWEB]
		[benches.SWEB.reference]
			time = $REF_T
			duration = $REF_D
		[benches.SWEB_excited]
			time = $EXC_T
			duration = $EXC_D
" > metadata.toml

mkdir SWEB
cd SWEB
mkdir reference
cd reference

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$REF_T --duration=$REF_D > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_WE_MIR_Z --start-time=$REF_T --duration=$REF_D > WE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SWEB_LC_Z --start-time=$REF_T --duration=$REF_D > SWEB.csv

cd ../
mkdir excited
cd excited

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$EXC_T --duration=$EXC_D > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_WE_MIR_Z --start-time=$EXC_T --duration=$EXC_D > WE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SWEB_LC_Z --start-time=$EXC_T --duration=$EXC_D > SWEB.csv

cd ../../../
