GLOB="/data/rawdata/*/1389/*.gwf"
CHA_H="V1:Hrec_hoft_20000Hz"

DATE=2024_01_21
DESCRIPTION="Expérimentation de Michal sur le banc SNEB"

REF_T=1389891118
REF_D=600
EXC_T=1389891918
EXC_D=300

FOLDER=$HOME/data/experiment_$DATE

mkdir $FOLDER
cd $FOLDER

echo "\
[general]
	date = '$DATE'
	description = '$DESCRIPTION'
	benches = ['SNEB']
[benches]
	[benches.SNEB]
		[benches.SNEB.reference]
			time = $REF_T
			duration = $REF_D
		[benches.SNEB.excited]
			time = $EXC_T
			duration = $EXC_D
" > metadata.toml

mkdir SNEB
cd SNEB
mkdir reference
cd reference

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$REF_T --duration=$REF_D > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_NE_MIR_Z --start-time=$REF_T --duration=$REF_D > NE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SNEB_LC_Z --start-time=$REF_T --duration=$REF_D > SNEB.csv

cd ../
mkdir excited
cd excited

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$EXC_T --duration=$EXC_D > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_NE_MIR_Z --start-time=$EXC_T --duration=$EXC_D > NE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SNEB_LC_Z --start-time=$EXC_T --duration=$EXC_D > SNEB.csv

cd ../../../
