GLOB="/data/rawdata/*/1401/*.gwf"
CHA_H="V1:Hrec_hoft_20000Hz"

DATE=2024_06_07
TIME=1401789000
DURATION=500
DESCRIPTION="Un test sans aucune excitation pendant le fonctionnement nominal de Virgo"

FOLDER=$HOME/data/experiment_$DATE

mkdir $FOLDER
cd $FOLDER

echo "\
[general]
	date = '$DATE'
	description = '$DESCRIPTION'
	benches = ['SDB1','SDB2','SNEB','SWEB','SPRB','SIB2']
[reference]
	time = $TIME
	duration = $DURATION
" > metadata.toml

mkdir reference
cd reference

lalfr-stream --frame-glob=$GLOB --channel=$CHA_H --start-time=$TIME --duration=$DURATION > h.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_NE_MIR_Z --start-time=$TIME --duration=$DURATION > NE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SNEB_LC_Z --start-time=$TIME --duration=$DURATION > SNEB.csv

lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_WE_MIR_Z --start-time=$TIME --duration=$DURATION > WE.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SWEB_LC_Z --start-time=$TIME --duration=$DURATION > SWEB.csv


lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_SR_MIR_Z --start-time=$TIME --duration=$DURATION > SR.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SPRB_LC_Z --start-time=$TIME --duration=$DURATION > SPRB.csv

lalfr-stream --frame-glob=$GLOB --channel=V1:Sc_MC_MIR_Z --start-time=$TIME --duration=$DURATION > MC.csv
lalfr-stream --frame-glob=$GLOB --channel=V1:SIB2_LC_Z --start-time=$TIME --duration=$DURATION > SIB2.csv

lalfr-stream --frame-glob=$GLOB --channel=V1:SDB1_LC_Z --start-time=$TIME --duration=$DURATION > SDB1.csv

lalfr-stream --frame-glob=$GLOB --channel=V1:SDB2_LC_Z --start-time=$TIME --duration=$DURATION > SDB2.csv

cd ../
